Loading...
Searching...
No Matches
BALL::CHPI::AromaticRing Class Reference

`#include <BALL/SCORING/COMPONENTS/CHPI.h>`

## Public Member Functions

| AromaticRing ()
| AromaticRing (const AromaticRing &aromatic_ring)
| AromaticRing (const std::vector< Atom * > &atoms)
const Vector3 & | getCentre () const
const Vector3 & | getNormalVector () const
void | setRing (const std::vector< Atom * > &atoms)
const std::vector< Atom * > & | getRing () const
void | dump (std::ostream &s=std::cout) const
void | update ()

## Detailed Description

A class for storing aromatic rings and information associated with them. At the moment we only need the ring centres and the atoms.

Definition at line 25 of file CHPI.h.

## Constructor & Destructor Documentation

## AromaticRing() [1/3]

BALL::CHPI::AromaticRing::AromaticRing | ( |  | ) |

## AromaticRing() [2/3]

BALL::CHPI::AromaticRing::AromaticRing | ( | const AromaticRing & | aromatic_ring | ) |

## AromaticRing() [3/3]

BALL::CHPI::AromaticRing::AromaticRing | ( | const std::vector< Atom * > & | atoms | ) |

## Member Function Documentation

## dump()

void BALL::CHPI::AromaticRing::dump | ( | std::ostream & | s = std::cout | ) | const

## getCentre()

const Vector3 & BALL::CHPI::AromaticRing::getCentre | ( |  | ) | const

## getNormalVector()

const Vector3 & BALL::CHPI::AromaticRing::getNormalVector | ( |  | ) | const

## getRing()

const std::vector< Atom * > & BALL::CHPI::AromaticRing::getRing | ( |  | ) | const

## setRing()

void BALL::CHPI::AromaticRing::setRing | ( | const std::vector< Atom * > & | atoms | ) |

## update()

void BALL::CHPI::AromaticRing::update | ( |  | ) |

Recalculates ring-center and normal-vector. Use this function if the parent-molecule has been moved or changed